{
  "name": "react-native-typescript-boilerplate",
  "version": "3.4.0",
  "description": "React Native Template/Boilerplate for awesome applications, using Typescript with a lot of built-in ready features.",
  "dependencies": {
    "@freakycoder/react-native-bounceable": "^1.0.3",
    "@freakycoder/react-native-custom-text": "0.1.2",
    "@freakycoder/react-native-helpers": "^1.0.2",
    "@react-native-async-storage/async-storage": "^1.17.9",
    "@react-native-masked-view/masked-view": "^0.2.7",
    "@react-navigation/bottom-tabs": "^6.3.2",
    "@react-navigation/native": "^6.0.11",
    "@react-navigation/stack": "^6.2.2",
    "axios": "^0.27.2",
    "axios-hooks": "^3.1.4",
    "events": "^3.3.0",
    "react": "18.2.0",
    "react-native": "^0.70.6",
    "react-native-dynamic-vector-icons": "^1.2.0",
    "react-native-gesture-handler": "^2.5.0",
    "react-native-localization": "^2.3.1",
    "react-native-safe-area-context": "^4.3.1",
    "react-native-screens": "^3.15.0",
    "react-native-splash-screen": "^3.3.0",
    "react-native-vector-icons": "^9.2.0",
    "@reduxjs/toolkit": "^1.9.1",
    "react-navigation-helpers": "^2.1.0",
    "react-fast-compare": "^3.2.0",
    "redux-flipper": "^2.0.2",
    "moment": "^2.29.4",
    "i18next": "^20.4.0",
    "react-i18next": "^11.11.4",
    "react-native-reanimated": "^2.13.0",
    "react-native-dotenv": "^3.4.6",
    "react-redux": "^8.0.5"
  },
  "devDependencies": {
    "@babel/core": "^7.18.10",
    "@babel/runtime": "^7.18.9",
    "@commitlint/cli": "^17.0.3",
    "@types/react-redux": "^7.1.24",
    "@commitlint/config-conventional": "^17.0.3",
    "@react-native-community/eslint-config": "^3.1.0",
    "@types/react-native": "^0.69.5",
    "@typescript-eslint/eslint-plugin": "^5.33.0",
    "@typescript-eslint/parser": "^5.33.0",
    "babel-plugin-module-resolver": "^4.1.0",
    "eslint": "^8.22.0",
    "eslint-config-prettier": "8.5.0",
    "eslint-config-standard-react-native": "1.0.0",
    "eslint-plugin-flowtype": "^8.0.3",
    "eslint-plugin-import": "2.26.0",
    "eslint-plugin-jest": "26.8.2",
    "eslint-plugin-jsx-a11y": "6.6.1",
    "eslint-plugin-prettier": "4.2.1",
    "eslint-plugin-promise": "6.0.0",
    "eslint-plugin-react": "7.30.1",
    "eslint-plugin-react-hooks": "4.6.0",
    "eslint-plugin-react-native": "4.0.0",
    "eslint-plugin-unused-imports": "^2.0.0",
    "husky": "^8.0.1",
    "metro-react-native-babel-preset": "^0.72.0",
    "prettier": "^2.7.1",
    "react-test-renderer": "18.2.0",
    "typescript": "^4.7.4"
  },
  "scripts": {
    "android": "npx react-native run-android",
    "ios": "npx react-native run-ios",
    "start": "react-native start --reset-cache",
    "husky:setup": "npx husky-init && npm run husky:commitlint && npm run husky:prettier && npm run husky:lint",
    "husky:commitlint": "npx husky add .husky/commit-msg 'npx --no-install commitlint --edit'",
    "husky:prettier": "npx husky set .husky/pre-commit 'npm run prettier'",
    "husky:lint": "npx husky add .husky/pre-commit 'npm run lint'",
    "clean-up": "rm -rf .git && rm -rf ./assets && git init && npm run husky:setup",
    "clean:android": "cd android && ./gradlew clean",
    "debug:android": "cd android && ./gradlew assembleDebug",
    "release:android": "cd android && ./gradlew assembleRelease",
    "release:play": "cd android && ./gradlew bundleRelease",
    "test:apk": "react-native run-android --variant=release",
    "prettier": "cd src && npx prettier --write . && git add .",
    "prepare": "husky install",
    "test": "jest",
    "lint": "eslint . --ext .js,.jsx,.ts,.tsx",
    "android:dev": "npx ts-node scripts/android.ts run env/.dev devDebug"
  },
  "engine": {
    "node": "16.10.0",
    "npm": "7.21.0"
  },
  "resolutions": {
    "@types/react": "^17"
  },
  "jest": {
    "preset": "react-native",
    "moduleFileExtensions": [
      "ts",
      "tsx",
      "js",
      "jsx",
      "json",
      "node"
    ]
  }
}
